Skip to Content
veriom

Structural overview

GET
/v1/workspaces/{workspace_id}/structural/overview

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
active_intent_drifts*Active Intent Drifts
Range0 <= value
asserted_findings*Asserted Findings
Range0 <= value
confirmed_crown_jewels*Confirmed Crown Jewels
Range0 <= value
disproof_samples*array<>
evaluation_counts*
hypothesis_findings*Hypothesis Findings
Range0 <= value
intent_drifts*array<>
invariant_counts*
invariant_proposal_counts*
invariant_proposals*array<>
latest_evaluation_at*|null
latest_snapshot_id*|null
latest_taxonomy_snapshot_id*|null
layer_counts*
missing_evaluation_ledgers*array<string>
missing_ledger_counts*
newest_finding_at*|null
observed_ledgers*array<string>
out_of_profile_taxonomy_nodes*Out Of Profile Taxonomy Nodes
Range0 <= value
proposed_crown_jewels*Proposed Crown Jewels
Range0 <= value
remediation_program_counts*
remediation_programs*array<>
root_causes*array<>
self_falsification_counts*
taxonomy_entity_kinds*array<string>
taxonomy_profile_computed_at*|null
taxonomy_technologies*array<string>
total_findings*Total Findings
Range0 <= value
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/structural/overview'
Example Response
{  "active_intent_drifts": 0,  "asserted_findings": 0,  "confirmed_crown_jewels": 0,  "disproof_samples": [    {      "asserted_confidence": "string",      "evidence_ids": [        "string"      ],      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "relationship_key": "string",      "relationship_kind": "string",      "review_notes": "string",      "reviewed_at": "2019-08-24T14:15:22Z",      "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",      "sample_week": "2019-08-24",      "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",      "source_key": "string",      "source_ledgers": [        "string"      ],      "state": "string",      "target_key": "string",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "evaluation_counts": {    "property1": 0,    "property2": 0  },  "hypothesis_findings": 0,  "intent_drifts": [    {      "affected_entity_keys": [        "string"      ],      "affected_relationship_keys": [        "string"      ],      "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527",      "confidence": "string",      "criterion_id": "string",      "decision_id": "35405636-5581-4a10-b063-a74afe2ca763",      "declared_representation": {},      "disagreement_ledgers": [        "string"      ],      "evidence_ids": [        "string"      ],      "first_observed_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_observed_at": "2019-08-24T14:15:22Z",      "observed_representation": {},      "observed_snapshot_id": "35dbe668-2d17-4ed3-83d7-8b65cd6b4f51",      "resolved_at": "2019-08-24T14:15:22Z",      "state": "string",      "title": "string"    }  ],  "invariant_counts": {    "property1": 0,    "property2": 0  },  "invariant_proposal_counts": {    "property1": 0,    "property2": 0  },  "invariant_proposals": [    {      "created_at": "2019-08-24T14:15:22Z",      "definition": {},      "definition_hash": "string",      "fixture_result": {},      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "observed_precision": "string",      "promoted_at": "2019-08-24T14:15:22Z",      "proposed_by": "4950251e-cd25-4a79-b482-8e67fe2adc20",      "rationale": "string",      "review_notes": "string",      "reviewed_at": "2019-08-24T14:15:22Z",      "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",      "reviewed_sample_size": 0,      "source": "string",      "state": "string",      "target_precision": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "latest_evaluation_at": "2019-08-24T14:15:22Z",  "latest_snapshot_id": "f28faf51-8b2a-452f-a228-e8432fbe2ea3",  "latest_taxonomy_snapshot_id": "9d26547a-00e9-4e47-9fa1-4741468c18cd",  "layer_counts": {    "property1": 0,    "property2": 0  },  "missing_evaluation_ledgers": [    "string"  ],  "missing_ledger_counts": {    "property1": 0,    "property2": 0  },  "newest_finding_at": "2019-08-24T14:15:22Z",  "observed_ledgers": [    "string"  ],  "out_of_profile_taxonomy_nodes": 0,  "proposed_crown_jewels": 0,  "remediation_program_counts": {    "property1": 0,    "property2": 0  },  "remediation_programs": [    {      "activated_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",      "current_step": 0,      "finding_id": "feebf65a-2eaa-4fae-aab2-772450efdffe",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "rationale": "string",      "review_notes": "string",      "reviewed_by": "92ab4dbc-1b27-40ce-b24b-7dde8f4709be",      "root_cause_id": "b1af806c-3628-4c2b-afab-f27297369fe7",      "state": "draft",      "steps": [        {          "evaluation_status": "string",          "evidence_ids": [            "string"          ],          "invariant_id": "string",          "invariant_version": "string",          "order": 0,          "owner_scope": "string",          "repository_ids": [            "f3227fc5-024f-4c73-b362-d0cb9602924d"          ],          "review_notes": "string",          "state": "ready",          "title": "string",          "verification_audit_id": "cef6c8ad-7eed-4189-9f94-26d2342cdd25",          "verification_predicate": "string",          "verified_at": "2019-08-24T14:15:22Z"        }      ],      "target_state_ref": "string",      "title": "string",      "updated_at": "2019-08-24T14:15:22Z",      "version": 1,      "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"    }  ],  "root_causes": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "last_observed_audit": "11aa28b2-34da-4fce-a5de-d58014eb1a8e",      "pattern_class": "string",      "provenance_kind": "string",      "recurrence_matches": [        {          "active_finding": true,          "confidence": "string",          "display_name": "string",          "evidence_ids": [            "973ab5a6-b373-447d-ab9d-bdb660b35afc"          ],          "finding_ids": [            "d5d48824-6cad-498f-8feb-561fb3cdb809"          ],          "last_observed_at": "2019-08-24T14:15:22Z",          "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0",          "sources": [            "string"          ],          "subject_key": "string",          "subject_kind": "entity"        }      ],      "recurrence_scope": 1,      "remediation_tier": "string",      "statement": "string",      "status": "string",      "target_state_ref": "string"    }  ],  "self_falsification_counts": {    "property1": 0,    "property2": 0  },  "taxonomy_entity_kinds": [    "string"  ],  "taxonomy_profile_computed_at": "2019-08-24T14:15:22Z",  "taxonomy_technologies": [    "string"  ],  "total_findings": 0}